Upstream-Status: Backport

Index: tcp_wrappers_7.6/Makefile
===================================================================
--- tcp_wrappers_7.6.orig/Makefile
+++ tcp_wrappers_7.6/Makefile
@@ -45,7 +45,7 @@ what:
 #
 # SysV.4 Solaris 2.x OSF AIX
 #REAL_DAEMON_DIR=/usr/sbin
-#
+REAL_DAEMON_DIR=/usr/sbin
 # BSD 4.4
 #REAL_DAEMON_DIR=/usr/libexec
 #
@@ -513,6 +513,7 @@ VSYSLOG	= -Dvsyslog=myvsyslog
 # (examples: allow, deny, banners, twist and spawn).
 # 
 #STYLE	= -DPROCESS_OPTIONS	# Enable language extensions.
+STYLE = -DPROCESS_OPTIONS
 
 ################################################################
 # Optional: Changing the default disposition of logfile records
@@ -536,6 +537,7 @@ VSYSLOG	= -Dvsyslog=myvsyslog
 # The LOG_XXX names below are taken from the /usr/include/syslog.h file.
 
 FACILITY= LOG_MAIL	# LOG_MAIL is what most sendmail daemons use
+FACILITY= LOG_DAEMON
 
 # The syslog priority at which successful connections are logged.
 
@@ -632,6 +634,7 @@ TABLES	= -DHOSTS_DENY=\"/etc/hosts.deny\
 # lookups altogether, see the next section.
 
 PARANOID= -DPARANOID
+PARANOID=
 
 ########################################
 # Optional: turning off hostname lookups
@@ -645,6 +648,7 @@ PARANOID= -DPARANOID
 # mode (see previous section) and comment out the following definition.
 
 HOSTNAME= -DALWAYS_HOSTNAME
+HOSTNAME=
 
 #############################################
 # Optional: Turning on host ADDRESS checking
@@ -671,6 +675,7 @@ HOSTNAME= -DALWAYS_HOSTNAME
 # Solaris 2.x, and Linux. See your system documentation for details.
 #
 # KILL_OPT= -DKILL_IP_OPTIONS
+KILL_OPT= -DKILL_IP_OPTIONS
 
 ## End configuration options
 ############################
@@ -678,9 +683,10 @@ HOSTNAME= -DALWAYS_HOSTNAME
 # Protection against weird shells or weird make programs.
 
 SHELL	= /bin/sh
-.c.o:;	$(CC) $(CFLAGS) -c $*.c
+.c.o:;	$(CC) $(CFLAGS) -o $*.o -c $*.c
 
-CFLAGS	= -O -DFACILITY=$(FACILITY) $(ACCESS) $(PARANOID) $(NETGROUP) \
+COPTS	= -O2 -g
+CFLAGS	= $(COPTS) -DFACILITY=$(FACILITY) $(ACCESS) $(PARANOID) $(NETGROUP) \
 	$(BUGS) $(SYSTYPE) $(AUTH) $(UMASK) \
 	-DREAL_DAEMON_DIR=\"$(REAL_DAEMON_DIR)\" $(STYLE) $(KILL_OPT) \
 	-DSEVERITY=$(SEVERITY) -DRFC931_TIMEOUT=$(RFC931_TIMEOUT) \
@@ -713,11 +719,12 @@ all other: config-check tcpd tcpdmatch t
 
 config-check:
 	@set +e; test -n "$(REAL_DAEMON_DIR)" || { make; exit 1; }
-	@set +e; echo $(CFLAGS) >/tmp/cflags.$$$$ ; \
-	if cmp cflags /tmp/cflags.$$$$ ; \
-	then rm /tmp/cflags.$$$$ ; \
-	else mv /tmp/cflags.$$$$ cflags ; \
+	@set +e; echo $(CFLAGS) >cflags.new ; \
+	if cmp cflags cflags.new ; \
+	then rm cflags.new ; \
+	else mv cflags.new cflags ; \
 	fi >/dev/null 2>/dev/null
+	@if [ ! -d shared ]; then mkdir shared; fi
 
 $(LIB):	$(LIB_OBJ)
 	rm -f $(LIB)
